Package org.eclipse.cdt.utils.debug

# Class DebugVariableKind

java.lang.Object
org.eclipse.cdt.utils.debug.DebugVariableKind

public final class DebugVariableKind extends Object
DebugVariableKind

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DebugVariableKind`
`GLOBAL`
`static final DebugVariableKind`
`LOCAL`
`static final DebugVariableKind`
`LOCAL_STATIC`
`static final DebugVariableKind`
`REGISTER`
`static final DebugVariableKind`
`STATIC`
`static final DebugVariableKind`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNKNOWN

public static final DebugVariableKind UNKNOWN

### GLOBAL

public static final DebugVariableKind GLOBAL

### STATIC

public static final DebugVariableKind STATIC

### LOCAL_STATIC

public static final DebugVariableKind LOCAL_STATIC

### LOCAL

public static final DebugVariableKind LOCAL

### REGISTER

public static final DebugVariableKind REGISTER

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`